Block a user
PUT
/user/blocks/{username}
const url = 'https://gitea.example.com/api/v1/user/blocks/example';const options = {method: 'PUT', headers: {Authorization: 'Basic <credentials>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PUT \ --url https://gitea.example.com/api/v1/user/blocks/example \ --header 'Authorization: Basic <credentials>'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”username
required
string
User to block
Query Parameters
Section titled “Query Parameters”note
string
Optional note for the block
Responses
Section titled “Responses”APIEmpty is an empty response
APINotFound is a not found empty response
APIValidationError is error format response related to input validation
Headers
Section titled “Headers”message
string
url
string